Package io.vertx.ext.mail

## Enum LoginOption

- java.lang.Object
- - java.lang.Enum<LoginOption>
  - - io.vertx.ext.mail.LoginOption

- All Implemented Interfaces:
    `Serializable`, `Comparable<LoginOption>`

      public enum LoginOption
      extends Enum<LoginOption>

  possible options for a login into a SMTP server
  either DISABLED, OPTIONAL, REQUIRED or XOAUTH2

  DISABLED means no login will be attempted

  NONE means a login will be attempted if the server supports in and login credentials are set

  REQUIRED means that a login will be attempted if the server supports it and the send operation will fail otherwise

  XOAUTH2 means that a login will be attempted using Google Gmail Oauth2 tokens

  Author:
    Alexander Lehmann

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISABLED` |
    `NONE` |
    `REQUIRED` |
    `XOAUTH2` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LoginOption` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LoginOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          public static final LoginOption DISABLED

    - #### NONE

          public static final LoginOption NONE

    - #### REQUIRED

          public static final LoginOption REQUIRED

    - #### XOAUTH2

          public static final LoginOption XOAUTH2

  - ### Method Detail

    - #### values

          public static LoginOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoginOption c : LoginOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoginOption valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null